<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Untitled Document</title>
<link rel="stylesheet" type="text/css" href="../css/wizard.css" />
<script language="JavaScript" src="gen_validatorv4.js"  type="text/javascript" xml:space="preserve"></script>
<?php

include('../include/db.php');
include('../include/session.php');	
include('../include/formValidations.php');



$productId =$_GET['productId'];
$category = $_GET['category'];
$productQuery = "SELECT productName FROM products WHERE productId = ".$productId ;
$productResult = execsql($productQuery);
$productName = mysql_result($productResult, 0, "productName");


$q = "SELECT productId, productName FROM products WHERE category ='$category' AND isRemoved != '1' ORDER BY productName ASC";
	$arrId = array ();
	$arrName = array ();
	$result = execsql($q);
	$num = mysql_num_rows($result);
	$a = 0;
	while ($a < $num) {
		$arrId[$a] = mysql_result($result, $a, "productId");
		$arrName[$a] = mysql_result($result, $a, "productName");
		$a++;
	}
?>
<script type="text/javascript">
function stopRKey(evt) {
  var evt = (evt) ? evt : ((event) ? event : null);
  var node = (evt.target) ? evt.target : ((evt.srcElement) ? evt.srcElement : null);
  if ((evt.keyCode == 13) && (node.type=="text"))  {return false;}
}
document.onkeypress = stopRKey;
</script> 

<script type="text/javascript">
<!--
function MM_goToURL() { //v3.0
  var i, args=MM_goToURL.arguments; document.MM_returnValue = false;
  for (i=0; i<(args.length-1); i+=2) eval(args[i]+".location='"+args[i+1]+"'");
}
function MM_callJS(jsStr) { //v2.0
  return eval(jsStr)
}
//-->
</script>

 
</head>

<form action="stockMovement.php" method="get" name="form1" target="_top" id="form1">
<body onload="document.getElementById(;MM_callJS('document.getElementById(\'quantityText\').focus();')"editText").focus();">
<table width="290" border="0" align="center" cellpadding="0" cellspacing="0" class="list2">
  <tr>
    <td width="290" align="center"><p>
      <label class="std">Select another product to show in <?php echo $category ?></label></p>
      <p><span class="wizard3">
        <select name="productIdSelect">
          <option value="<?php echo $productId ?>" selected="selected"><?php echo $productName ?></option>
          <?php
        	for ($i = 0; $i < count($arrId); $i++) {
    		echo "<option value=" . "\"" . $arrId[$i] . "\"" . ">" . $arrName[$i] . "</option>";
	}
?>
        </select>
      </span>
        <input type="hidden" name="date" id="date" />
      </p>
      </td>
  </tr>
  <tr>
    <td align="center"><br />
      <input name="input" type="submit" value="OK" class="imagebutton"  />
      <input name="button" type="button" id="button" class="imagebutton" onclick="MM_goToURL('parent','stockMovement.php?productIdSelect=<?php echo $productId ?>&edit=0&date=0');return document.MM_returnValue" value="Cancel" /></form>
    </td>
  </tr>
</table>

<script language="JavaScript" type="text/javascript" xml:space="preserve">
  var frmvalidator  = new Validator("form1");
  frmvalidator.EnableMsgsTogether();
  frmvalidator.addValidation("ProductSelect","req","Please select a product.");
  frmvalidator.addValidation("QuantityText","req","Please enter the quantity.");
    
    
    
   


  
</script>
</body>
</html>